#include "Node.h"

std::unique_ptr<Node> Node::Create(const Point& p, unsigned index)
{
    return std::make_unique<Node>(p, index);
}

Node::~Node()
{

}

Node::Node(const Point& p, unsigned index)
    : mPoint(p),
      mIndex(index)
{

}

unsigned Node::getIndex() const
{
    return mIndex;
}

void Node::updateIndex(unsigned index)
{
    mIndex = index;
}


