#include "SceneText.h"

SceneText::SceneText()
{
    mTextData.mFont = FontItem("Arial", 16);
}

SceneItem::Type SceneText::getType() const
{
    return SceneItem::Type::TEXT;
}

const TextData& SceneText::getTextData() const
{
    return mTextData;
}

void SceneText::setContent(const std::string& content)
{
    if (mTextData.mContent != content)
    {
        mTextGeometryIsDirty = true;
        mTextData.mContent = content;
    }
}
